#
# spec file for package dvgt
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           dvgt
Version:        3.51L3
Release:        bp155.2.12
Summary:        A DVI Previewer
License:        SUSE-Public-Domain
Group:          Productivity/Publishing/TeX/Utilities
Source:         dvgt-3.51L3.tar.bz2
Patch0:         dvgt-3.51L3.dif
BuildRequires:  texlive-bin-devel
BuildRequires:  texlive-devel
BuildRequires:  texlive-latex
BuildRequires:  texlive-tex
Requires:       texlive

%description
Dvgt is a DVI previewer for console, terminals, and graphical terminals
like Tektronics or the good old XTerm. dvgt tries to fit the conditions
of the DVI files, therefore output on text terminals is not legible.

%prep
%setup -q
%patch0

%build
RPM_OPT_FLAGS="-std=gnu89 %{optflags} -fno-strict-aliasing -funsigned-char"
#RPM_OPT_FLAGS="$RPM_OPT_FLAGS -Wno-uninitialized -Wno-unused -pipe"
RPM_OPT_FLAGS="%{optflags} -Wno-unused -pipe"
export RPM_OPT_FLAGS
pushd src
   make -f Makefile.linux %{?_smp_mflags}
popd
pushd doc
   make %{?_smp_mflags}

%install
cd src
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man1
install    -m 755 dvgt   %{buildroot}%{_bindir}/
install -c -m 644 dvgt.1 %{buildroot}%{_mandir}/man1/
cd ../doc
mkdir -p %{buildroot}%{_docdir}/dvgt
install -c -m 644 sysguide.dvi  %{buildroot}%{_docdir}/dvgt/
install -c -m 644 userguide.dvi %{buildroot}%{_docdir}/dvgt/
cd ../
install -c -m 644 README        %{buildroot}%{_docdir}/dvgt/
install -c -m 644 README.Linux  %{buildroot}%{_docdir}/dvgt/
install -c -m 644 README-3.51l2 %{buildroot}%{_docdir}/dvgt/
install -c -m 644 README.SUSE   %{buildroot}%{_docdir}/dvgt/

%files
%{_bindir}/dvgt
%{_mandir}/man1/dvgt.1%{ext_man}
%dir %{_docdir}/dvgt
%{_docdir}/dvgt/sysguide.dvi
%{_docdir}/dvgt/userguide.dvi
%{_docdir}/dvgt/README
%{_docdir}/dvgt/README.Linux
%{_docdir}/dvgt/README-3.51l2
%{_docdir}/dvgt/README.SUSE

%changelog
* Thu Nov  9 2017 lcavajani@suse.com
- Run spec-cleaner
* Thu Nov  9 2017 dimstar@opensuse.org
- Update dvgt-3.51L3.dif: adjust the spelling for README.SUSE (in
  place of README.SuSE).
* Mon Jul 23 2012 werner@suse.de
- Make it build with latest TeXLive 2012
* Sun Sep 18 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
  (cf. packaging guidelines)
- Use %%_smp_mflags for parallel build
* Wed Jul 22 2009 werner@suse.de
- Add missed fclose (bnc#524231)
* Thu Mar 13 2008 werner@suse.de
- Minor adoption on new gcc
* Sun Apr 22 2007 ro@suse.de
- use texlive for building
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Sat Jan 14 2006 schwab@suse.de
- Don't strip binaries.
* Fri Oct 21 2005 werner@suse.de
- Return address not of array but the first element (bug #129945)
* Sun Jan 11 2004 adrian@suse.de
- add %%defattr
* Fri Jun 13 2003 coolo@suse.de
- package docdir
* Tue May 27 2003 coolo@suse.de
- use BuildRoot
* Tue Sep 17 2002 ro@suse.de
- removed bogus self-provides
* Tue May 14 2002 werner@suse.de
- Do not strip in debugging case
* Mon Nov 12 2001 ro@suse.de
- no svgalib
* Mon Mar  5 2001 werner@suse.de
- Avoid svga/vga if not available on the current architecture
* Sat Dec  9 2000 nashif@suse.de
-  sorted
* Mon Jun  5 2000 uli@suse.de
- moved docs to %%{_docdir}
* Wed Mar  1 2000 uli@suse.de
- moved man page to /usr/share
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Jul 15 1999 ro@suse.de
- fixed filelist
* Wed Jul 14 1999 werner@suse.de
- Elementary fixes againsat buffer overflows
* Tue Jul 13 1999 werner@suse.de
- New package of an old tool (dvi viewer for tek and other terminals)
  - A few changes to support kpatsea and (some) virtual fonts.
  - Fix 8 bit handling of characters
  - Implement rudimentary DC to latin 1 mapping
